<?php
session_start();
if( $_SESSION["user"] == "" || $_SESSION["passwd"] == "" ) {
//   header("Location: index.php");
}

$id_empresa = $_SESSION["id_empresa"];

$mode = isset($_POST['mode']) ? $_POST["mode"]  : "";
$id = isset($_POST['id']) ? $_POST["id"]  : "";

if( $mode != "delete" ) {
   $fecha = isset($_POST['fecha']) ? $_POST["fecha"]  : "";
   $op = isset($_POST['op']) ? $_POST["op"]  : "";
   $numero = isset($_POST['numero']) ? $_POST["numero"]  : "";
   $code_empresa = isset($_POST['customer']) ? $_POST["customer"]  : "";
   $empresa = isset($_POST['empresa']) ? $_POST["empresa"]  : "";
   $iva105 = isset($_POST['iva105']) ? $_POST['iva105'] : "";
   $iva21 = isset($_POST['iva21']) ? $_POST['iva21'] : "";
   $iva27 = isset($_POST['iva27']) ? $_POST['iva27'] : "";
   $ivamt = isset($_POST['ivamt']) ? $_POST['ivamt'] : "";
   $retenciones = isset($_POST['retenciones']) ? $_POST['retenciones'] : "";
   $retenciones_iva = isset($_POST['retenciones_iva']) ? $_POST['retenciones_iva'] : "";
   $otras_retenciones = isset($_POST['otras_retenciones']) ? $_POST['otras_retenciones'] : "";
   $gan = isset($_POST['gan']) ? $_POST['gan'] : "";
   $importe_iva = isset($_POST['importe_iva']) ? $_POST['importe_iva'] : "";
   //$importe_neto = isset($_POST['importe_neto']) ? $_POST['importe_neto'] : "";
   $total = isset($_POST['total']) ? $_POST['total'] : "";
   $lafecha = substr( $fecha, 6, 4 ) . '-' . substr( $fecha, 3, 2 ) . '-' . substr( $fecha, 0, 2 );
   $etiquetas = isset($_POST['etiquetas']) ? $_POST['etiquetas'] : "";
}

include_once('db_config.php');
ini_set('max_execution_time', 120);

   switch( $mode ) {
      case "update":
         $sql = sprintf( "update comprobantes set operacion='%s', fecha='%s', numero='%s', iva_105='%s', iva_21='%s', iva_27='%s', iva_MT='%s', iva='%s', importe='%s', retenciones='%s', retenciones_iva='%s', op_exentas='%s', nombre='%s', cliente='%s', retenciones_ganancias='%s' where id = '%s'",
                      $op, $lafecha, $numero, $iva105, $iva21, $iva27, $ivamt, $importe_iva, $total, $retenciones, $retenciones_iva, $otras_retenciones, $empresa, $code_empresa, $gan, $id );
//         echo $sql . "<br/>";
         $result = $conn->query($sql);
         mysql_free_result( $result );
         echo "{\"status\":\"Ok\" }";
         break;

      case "append":
         $sql = sprintf( "insert into comprobantes(`Id`,`operacion`,`fecha`,`numero`,`iva_105`,`iva_21`,`iva_27`,`iva_MT`,`iva`,`importe`,`retenciones`,`retenciones_iva`,`op_exentas`,`nombre`,`cliente`,`retenciones_ganancias`,`etiquetas`) VALUES(0,'%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s','%s')", 
                          $op, $lafecha, $numero, $iva105, $iva21, $iva27, $ivamt, $importe_iva, $total, $retenciones, $retenciones_iva, $otras_retenciones, $empresa, $code_empresa, $gan, $etiquetas );
//          echo $sql . "<br/>";
         $result = $conn->query($sql);
          mysql_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
         break;

      case "delete":
//         $sql = sprintf( "delete from comprobantes where id='%s'", $id );
         $sql = sprintf( "update comprobantes set borrado=1 where id='%s'", $id );
//         echo $sql . "<br/>";
          $result = $conn->query($sql);
          mysql_free_result( $result );    
          echo "{\"status\":\"Ok\" }";
          break;
   }     
   mysqli_close($conn);
?>


